#include<bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t, n, k, x;
    cin >> t >> n >> k;
    priority_queue<int> pq;
    priority_queue<int, vector<int>, greater<int>> pq1, pq2;
    vector<int> v;
    for (int i = 0; i < n; i++){
        cin >> x;
        pq.push(x);
    }
    for (int i = 0; i < k + (n - k) / 2; i++){
        pq1.push(pq.top());
        pq.pop();
    }
    while (!pq.empty()){
        pq2.push(pq.top());
        pq.pop();
    }
    x = 0;
    while (!pq1.empty() || !pq2.empty()){
        if (!pq1.empty() && x <= pq1.top()){
            x++;
            v.push_back(pq1.top());
            pq1.pop();
        }
        else if (!pq2.empty()){
            if (x > pq2.top()){
                x--;
            }
            else {
                x++;
            }
            v.push_back(pq2.top());
            pq2.pop();
        }
        else {
            x--;
            v.push_back(pq1.top());
            pq1.pop();
        }
    }
    if (x == k){
        cout << "DA\n";
        /*if (t == 1){
            for (int i : v){
                cout << i << " ";
            }
        }*/
    }
    else {
        cout << "NE";
    }
    return 0;
}